/**
 *
 * Created by Kyle Benk kylebenkapps.com
 *
 * 12/13
 */

jQuery(document).ready(function($) {

	// Delete firebar

	$("." + wps_fb_data.prefix_dash + "delete").click(function(){
		wpsite_firebar_delete($(this).attr('data-id'), $(this).attr('data-url'));
	});

	// Check license key

	$('.' + wps_fb_data.prefix_dash + 'license-actions label').append('<i class="' + wps_fb_data.prefix_dash + 'license-key-status fa fa-spinner fa-spin"></i>');

	var data = {
		'action': 'wps_fb_license_action',
		'license_action': 'check_license',
		'license_key': $('.' + wps_fb_data.prefix_dash + 'license-key').val(),
	};

	$.post(ajaxurl, data, function(response) {

		$('.' + wps_fb_data.prefix_dash + 'license-actions label').find('.fa').remove();

		if ( response == 'valid' ) {
			$('.' + wps_fb_data.prefix_dash + 'license-actions label').append('<i style="color:green;" class="' + wps_fb_data.prefix_dash + 'license-key-status fa fa-check"></i>');
			$('.' + wps_fb_data.prefix_dash + 'license-actions').append('<span class="btn btn-default ' + wps_fb_data.prefix_dash + 'deactivate-license">' + wps_fb_data.deactivate_text + '</span>');
		} else {
			$('.' + wps_fb_data.prefix_dash + 'license-actions label').append('<i style="color:red;" class="' + wps_fb_data.prefix_dash + 'license-key-status fa fa-times"></i>');
			$('.' + wps_fb_data.prefix_dash + 'license-actions').append('<span class="btn btn-default ' + wps_fb_data.prefix_dash + 'activate-license">' + wps_fb_data.activate_text + '</span>');
		}

		console.log(response);
	});

	// Activate License

	$(document).on('click', '.' + wps_fb_data.prefix_dash + 'activate-license', function(){

		$('.' + wps_fb_data.prefix_dash + 'license-actions label').append('<i class="' + wps_fb_data.prefix_dash + 'license-key-status fa fa-spinner fa-spin"></i>');

		var data = {
			'action': 'wps_fb_license_action',
			'license_action': 'activate_license',
			'license_key': $('.' + wps_fb_data.prefix_dash + 'license-key').val(),
		};

		$.post(ajaxurl, data, function(response) {

			$('.' + wps_fb_data.prefix_dash + 'license-actions label').find('.fa').remove();

			if ( response == 'valid' ) {
				$('.' + wps_fb_data.prefix_dash + 'activate-license').remove();
				$('.' + wps_fb_data.prefix_dash + 'license-actions').append('<span class="btn btn-default ' + wps_fb_data.prefix_dash + 'deactivate-license">' + wps_fb_data.deactivate_text + '</span>');
				$('.' + wps_fb_data.prefix_dash + 'license-actions label').append('<i style="color:green;" class="' + wps_fb_data.prefix_dash + 'license-key-status fa fa-check"></i>');
			} else {
				$('.' + wps_fb_data.prefix_dash + 'license-actions label').append('<i style="color:red;" class="' + wps_fb_data.prefix_dash + 'license-key-status fa fa-times"></i>');
			}

			console.log(response);
		});

	});

	// Deactivate License

	$(document).on('click', '.' + wps_fb_data.prefix_dash + 'deactivate-license', function(){

		$('.' + wps_fb_data.prefix_dash + 'license-actions label').append('<i class="' + wps_fb_data.prefix_dash + 'license-key-status fa fa-spinner fa-spin"></i>');

		var data = {
			'action': 'wps_fb_license_action',
			'license_action': 'deactivate_license',
			'license_key': $('.' + wps_fb_data.prefix_dash + 'license-key').val(),
		};

		$.post(ajaxurl, data, function(response) {

			$('.' + wps_fb_data.prefix_dash + 'license-actions label').find('.fa').remove();


			if ( response == 'deactivated' ) {

				$('.' + wps_fb_data.prefix_dash + 'license-key').val('');

				$('.' + wps_fb_data.prefix_dash + 'deactivate-license').remove();
				$('.' + wps_fb_data.prefix_dash + 'license-actions').append('<span class="btn btn-default ' + wps_fb_data.prefix_dash + 'activate-license">' + wps_fb_data.activate_text + '</span>');
				$('.' + wps_fb_data.prefix_dash + 'license-actions label').append('<i style="color:red;" class=" ' + wps_fb_data.prefix_dash + 'license-key-status fa fa-times"></i>');
			} else if ( response == 'failed' ) {
				$('.' + wps_fb_data.prefix_dash + 'license-actions label').append('<i style="color:red;" class=" ' + wps_fb_data.prefix_dash + 'license-key-status fa fa-times"></i>');
			} else {
				$('.' + wps_fb_data.prefix_dash + 'license-actions label').append('<i style="color:green;" class="' + wps_fb_data.prefix_dash + 'license-key-status fa fa-check"></i>');
			}

			console.log(response);
		});

	});

	function wpsite_firebar_delete(message, url) {

		$(".modal-body").find('p').html('Are you sure you want to delete ' + message + ' and all of its stats.');

		$("#modal-success").click(function(){
			$('#myModal').modal('hide');
			window.location = url;
		});
	}
});

